Subject: Re: next-20150806 build: 2 failures 52 warnings (next-20150806)

From: James Hogan <[email-masked]>
Date: Thu, 6 Aug 2015 22:52:05 +0100

Hi Mark,

On Thu, Aug 06, 2015 at 06:27:52PM +0100, Mark Brown wrote:
> On Thu, Aug 06, 2015 at 12:00:47PM +0100, Build bot for Mark Brown wrote:
> 
> Today's linux-next fails to build an ARM allmodconfig with:
> 
> > 	arm-allmodconfig
> > ../lib/test_user_copy.c:67:2: error: implicit declaration of function 'copy_in_user' [-Werror=implicit-function-declaration]
> > ../lib/test_user_copy.c:94:2: error: implicit declaration of function '__copy_in_user' [-Werror=implicit-function-declaration]
> 
> due to 3a646f02c7 (lib/test_user_copy.c: check
> __copy_in_user()/copy_in_user()) which attempts to test copy_in_user()
> which doesn't appear to be defined, at least with the set of include
> files and/or config options you get with an allmodconfig and not at all
> as far as I can tell.

Yeh, the copy_in_user ones need to be conditional upon CONFIG_COMPAT.
Sorry for the breakage. I've asked Andrew to drop them until I can get a
v2 patchset out tomorrow.

Cheers
James